@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 400;
    src: url("fonts/IBMPlexSansArabic/regular/IBMPlexSansArabic-Regular.ttf") format("truetype");
}
@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 200;
    src: url("fonts/IBMPlexSansArabic/extralight/IBMPlexSansArabic-ExtraLight.ttf") format("truetype");
}
@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 300;
    src: url("fonts/IBMPlexSansArabic/light/IBMPlexSansArabic-Light.ttf") format("truetype");
}
@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 700;
    src: url("fonts/IBMPlexSansArabic/bold/IBMPlexSansArabic-Bold.ttf") format("truetype");
}
@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 500;
    src: url("fonts/IBMPlexSansArabic/medium/IBMPlexSansArabic-Medium.ttf") format("truetype");
}
@font-face {
    font-family: IMBPlexSansArabic;
    font-style: normal;
    font-weight: 600;
    src: url("fonts/IBMPlexSansArabic/semibold/IBMPlexSansArabic-SemiBold.ttf") format("truetype");
}
body {
    color: #000;
    font-family: "IMBPlexSansArabic", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
    font-weight: 400;
    direction: rtl;
    text-align: right
}
*, #instructionsDialog .modal-title, .modal-title {
    font-family: "IMBPlexSansArabic", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
    font-size: 16px;
}
.form-group {
    margin-bottom: 10px;
}
.GIS-form {
    border-radius: 8px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.15);
    padding: 8px 16px;
}
/*Select2*/
.select2-container--default .select2-selection--single {
    border: 1px solid #9DA4AE;
    border-radius: 4px;
    height: 40px;
    min-height: 40px;
    display: flex;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    direction: rtl;
    transition: all 0.3s ease;
    position: relative;
}
.select2-container--default .select2-selection--single::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    height: 2px;
    width: 0%;
    background: #161616;
    transition: all 0.3s ease;
}
.select2-container--default.select2-container--open .select2-selection--single::after {
    left: 0;
    transform: translateX(0);
    width: 100%;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding: 0px 10px;
}
body .select2-container--default .select2-selection--single .select2-selection__arrow {
    position: relative;
    display: flex;
    align-items: center;
    width: 20px;
    height: 20px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin: 0;
    font-family: "hugeicons-stroke-rounded" !important;
    border: none;
    transition: all 0.1s ease;
    position: relative;
    left: 0;
    top: 0;
    height: 16px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b:after {
    content: "\f1442";
    font-size: 16px;
}
.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b::after {
    content: "\f1478";
}
body .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 0px !important;
    right: auto !important;
    width: 20px !important;
    left: 5px !important;
}

.select2-container--default .select2-selection--single:hover {
    border-color: #384250;
}
::-webkit-scrollbar {
    width: 5px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background: #1b8354;
}

.select2-container--default .select2-results__option--selected {
    background: #fff;
    color: #161616;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.select2-results__option {
    color: #161616;
}

.select2-container--default .select2-results__option--selected::after {
    content: "\f24e8";
    font-family: "hugeicons-stroke-rounded" !important;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    font-size: 20px;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border-color: #9DA4AE;
    border-radius: 4px;
}

.select2-container--default .select2-search--dropdown .select2-search__field:focus {
    border-bottom-color: #161616 !important;
    border-bottom-width: 2px !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field:hover {
    border-color: #384250 !important;
}
/*Button*/
#collapseGIS-form {
    animation: unset;
}
.btn, [class *="btn-"] {
    border: 0 !important;
    height: 40px !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    box-shadow: none !important;
}
button:focus {
    outline: 2px solid #161616 !important;
}
.btn-primary {
    display: flex;
    height: 40px !important;
    min-height: 40px;
    max-height: 40px;
    padding: 0 16px !important;
    justify-content: center;
    align-items: center;
    gap: 4px;
    border-radius: 4px;
    background: #1b8354 !important;
    color: #fff;
    font-size: 16px !important;
    font-weight: 500;
    outline: 0;
}

.btn-primary:hover {
    background: #166a45 !important;
}

.btn-primary:active {
    background: #104631 !important;
}

.btn-primary:focus {
    background: #1b8354 !important;
    outline: 2px solid #161616 !important;
    border: 1px solid #fff !important;
}

.btn-primary:active:focus {
    background: #104631 !important;
}

.btn:disabled, [class *="btn-"]:disabled {
    background: #E5E7EB !important;
    color: #9da4ae !important;
    text-shadow: none !important;
}
div.save_Kroki {
    margin: 0 !important;
    display: flex;
    justify-content: flex-start;
}
/*Tabs*/
ul.nav a::after {
    display: block;
    margin-top: -3px;
    width: 100%;
    border-radius: 16rem;
    background: #1b8354;
}
.nav-tabs {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    margin-bottom: 16px !important;
    border: 0;
    padding: 0 !important;
    margin-top: 10px;
}

.nav-tabs::after {
    content: "";
    width: 100%;
    height: 3px;
    border-radius: 9999rem;
    background: #D2D6DB;
    position: absolute;
    bottom: 0;
}

.nav-tabs li {
    flex-basis: auto;
    flex-grow: inherit;
    list-style: none !important;
}

.nav-tabs a {
    position: relative !important;
    z-index: 9;
    border: 0 !important;
    padding: 8px 16px !important;
    background: transparent !important;
    font-weight: 500 !important;
    font-size: 16px !important;
}

.nav-tabs a::after,.nav-tabs a:active::after {
    margin-top: 0;
    height: 3px;
    z-index: 10;
    position: relative;
    bottom: -7px;
    background: #1b8354;
}

.nav-tabs li.active a:hover {
    background: linear-gradient(to bottom,#f3f4f6 92%,transparent 8%) !important;
    padding-bottom: 16px;
}

.nav-tabs li.active a:hover::after {
    bottom: -7px;
}

.nav-tabs a:hover,.nav-tabs a:active {
    background: linear-gradient(to bottom,#f3f4f6 93%,transparent 7%) !important;
    text-decoration: none !important;
    color: #161616;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    position: relative;
    padding-bottom: calc(16px - 3px);
}

.nav-tabs a:active {
    background: linear-gradient(to bottom,#e5e7eb 93%,transparent 7%) !important;
}

.nav-tabs a:hover::after,.nav-tabs a:active::after {
    background: #161616;
    bottom: -7px;
}
.nav li.active, .nav a:hover, .nav a:focus {
    border: 0 !important;
    background: none !important;
    outline: none !important;
    color: #161616 !important;
    font-weight: 700;
}
.nav li.active a::after, .nav a:hover::after, .nav a:focus::after {
    content: "";
}
.nav a:focus {
    outline: 2px solid #161616 !important;
}
/*Accordion*/

.GIS-form .btn.btn-light[data-toggle] {
    background: #fff;
    color: #161616;
    border-top: 1px solid #9DA4AE !important;
    border-radius: 0 !important;
    width: 100% !important;
    padding: 10px 5px !important;
    font-size: 16px !important;
    height: auto !important;
}

.GIS-form .btn.btn-light .fa-chevron-circle-right:after, .GIS-form .btn.btn-light .fa-chevron-circle-left:after {
    font-family: "hugeicons-stroke-rounded" !important;
    border: none;
    transition: all 0.1s ease;
    position: relative;
    content: "\f1442";
    font-size: 16px;
    transform: unset;
}

.GIS-form .btn.btn-light .fa-chevron-circle-right:after {
    font-family: "hugeicons-stroke-rounded" !important;
    border: none;
    transition: all 0.1s ease;
    position: relative;
    content: "\f1478";
    font-size: 16px;
    transform: unset;
}

.GIS-form .btn.btn-light:hover {
    background: #F3F4F6;
}
/*Form Control*/
.form-control, input, select, textarea {
    color: #161616;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    position: relative;
    box-shadow: none !important;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    width: 100%;
    height: 40px;
    padding: 4px 8px;
    border-radius: 4px;
    border: 1px solid #9DA4AE;
    background: #FFF;
}
.form-control[readonly], .form-control[disabled], .form-control:disabled, body .form-control[readonly], body .form-control[disabled], body .form-control:disabled {
    background: #F2F2F2 !important;
    color: #4c515a !important;
    cursor: not-allowed !important;
}

/*esri-popup*/
.esri-popup__header {
    background: #fff;
    color: #161616;
    font-size: 16px;
    font-weight: 600;
}

.esri-popup__header .esri-popup__button {
    color: #161616;
}

.esri-popup__header .esri-popup__button:focus {
    outline: 2px solid #161616;
}

.esri-popup__header .esri-popup__header-container--button {
    background: #fff !important;
    color: #161616 !important;
}

h2.esri-widget__heading {
    font-size: 16px;
    font-weight: 600;
    color: #161616;
}

::-webkit-scrollbar {
    width: 5px;
}
.esri-popup__content table td {
    background: #fff;
    border: 1px solid #9DA4AE !important;
}
.esri-popup__content table tr:nth-child(even) td {
    background: #F9FAFB;
}

.esri-popup__content table td:first-child h4 {
    font-weight: 600 !important;
    margin: 8px auto;
}

.esri-popup__button {
    color: #161616;
    font-size: 16px !important;
}

[lang="ar"] .esri-popup__main-container {
    direction: rtl;
}

.esri-popup__content .card-header {
    background: #fff !important;
    border: 0 !important;
    padding: 0;
}

table {
    width: 100%;
}

.esri-popup__content .card {
    border: 0;
    padding: 0;
}

.esri-popup__content table td h5 {
    margin: 8px auto;
    font-weight: 400;
    font-size: 16px;
}

.widget-container.cascading-dropdown {
    border-radius: 0 0 8px 8px;
    padding: 8px 16px;
}

.list-body {
    box-shadow: none !important;
    position: relative !important;
    width: 100% !important;
}

.widget-header {
    box-shadow: none !important;
    border-radius: 8px 8px 0 0;
}

.widget-body {
    box-shadow: none !important;
}

.widget-container {
    border-radius: 8px 8px 0 0;
    margin: 0px !important;
}

.widget-header.wh-toggle {
    background: #fff;
    color: #161616;
    border-top: 1px solid #9DA4AE;
    border-radius: 0 !important;
    width: 100% !important;
    padding: 10px 5px !important;
    font-size: 16px;
    height: auto !important;
}

.widget-header.wh-toggle:hover {
    background: #F3F4F6;
}

.bx.bx-chevron-down {
    font-family: "hugeicons-stroke-rounded" !important;
    border: none;
    transition: all 0.1s ease;
    position: relative;
    font-size: 16px;
    transform: unset;
}

.bx.bx-chevron-down::before {
    content: "\f1478";
}
.modal-header {
    border: 0 !important;
}
/********* Alerts Start ************/
.alert, body .ui-messages {
    display: block;
    position: relative;
    padding: 16px 24px;
    padding-inline-start: 64px;
    padding-inline-end: 32px;
    margin-top: 16px;
    margin-bottom: 16px;
    border: 1px solid transparent;
    border-inline-start-width: 8px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    line-height: normal;
}

body .ui-messages {
    border: 1px solid #5899f4 !important;
    border-inline-start-width: 8px !important;
    border-radius: 8px !important;
}

    .alert::after, body .ui-messages::after {
        content: "\f1ba9";
        width: 40px;
        height: 40px;
        border-radius: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        top: 8px;
        right: 16px;
        font-size: 20px;
        font-weight: 400;
        background-color: #eff8ff;
        font-family: "hugeicons-stroke-rounded" !important;
        font-style: normal;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }

    .alert-info, .alert-primary, body .ui-messages.ui-messages-info {
        color: #175CD3;
        background-color: #F5FAFF;
        border-color: #B2DDFF;
        border-inline-start-color: #5b9bf4;
    }

    body .ui-messages.ui-messages-info {
        color: #175CD3 !important;
        background-color: #F5FAFF !important;
        border-color: #B2DDFF !important;
        border-inline-start-color: #5b9bf4 !important;
    }

    .alert-warning, body .ui-messages.ui-messages-warn {
        color: #B54708;
        background-color: #FFFCF5;
        border-color: #FEDF89;
        border-inline-start-color: #e6954e;
    }

    body .ui-messages.ui-messages-warn {
        color: #B54708 !important;
        background-color: #FFFCF5 !important;
        border-color: #FEDF89 !important;
        border-inline-start-color: #e6954e !important;
    }

    .alert-danger, body .ui-messages.ui-messages-error {
        color: #B42318;
        background-color: #FFFBFA;
        border-color: #FECDCA;
        border-inline-start-color: #e46c62;
    }

    body .ui-messages.ui-messages-error {
        color: #B42318 !important;
        background-color: #FFFBFA !important;
        border-color: #FECDCA !important;
        border-inline-start-color: #e46c62 !important;
    }

    .alert-success, body .ui-messages.ui-messages-success {
        color: #067647;
        background-color: #F6FEF9;
        border-color: #ABEFC6;
        border-inline-start-color: #51b488;
    }

    body .ui-messages.ui-messages-success {
        color: #067647 !important;
        background-color: #F6FEF9 !important;
        border-color: #ABEFC6 !important;
        border-inline-start-color: #51b488 !important;
    }

.alert-gray {
    color: #1F2A37;
    background-color: #FCFCFD;
    border-color: #D2D6DB;
    border-inline-start-color: #edeef1;
}

.alert-info::after, body .ui-messages.ui-messages-info::after {
    content: "\f1ba9";
}

.alert-warning::after, body .ui-messages.ui-messages-warn::after {
    content: "\f13c8";
    background-color: #fffaeb;
}

.alert-danger::after, body .ui-messages.ui-messages-error::after {
    content: "\f1ba9";
    background-color: #fef3f2;
}

.alert-success::after, body .ui-messages.ui-messages-success::after {
    content: "\f1ba9";
    background-color: #ecfdf3;
}

.alert-gray::after {
    content: "\f1ba9";
    background-color: #f9fafb;
}

.alert.alert-info-no-after::after {
    display: none;
}

[class *="alert-"] p ~ ul li {
    color: #384250 !important;
    font-weight: 400 !important;
    margin-bottom: 0;
}

.alert a {
    margin-bottom: 0 !important;
}

.alert input[type="checkbox"] {
    width: 20px;
    height: 20px !important;
    top: 7px;
    margin-inline-end: 4px;
}

body .ui-messages.ui-messages-info .ui-messages-icon {
    display: none !important;
}

#MobileVerificationSuccessMsg.alert {
    padding: 5px 20px 5px 20px !important;
    padding-inline-start: 48px !important;
    width: auto;
    margin-bottom: 0;
}

    #MobileVerificationSuccessMsg.alert::after {
        top: 5px;
        width: 32px;
        height: 32px;
    }
.p-0 {
    padding: 0 !important;
}
/********* Alerts End ************/